import { l as loadEmberDebugInWebpage, o as onEmberReady, s as startInspector } from './start-inspector-BPAW_WLv.js';
import { W as WebExtension } from './web-extension-C3pMNVSY.js';
import './versions.js';
import './basic-DfbgtngO.js';
import './base-object-HAEdWjmg.js';
import './type-check.js';
import './ember.js';
import './runloop-CF-Qpqgy.js';

/* eslint-disable no-empty */
class adapter extends WebExtension {
  debug() {
    // WORKAROUND: temporarily workaround issues with firebug console object:
    // - https://github.com/tildeio/ember-extension/issues/94
    // - https://github.com/firebug/firebug/pull/109
    // - https://code.google.com/p/fbug/issues/detail?id=7045
    try {
      super.debug(...arguments);
    } catch {}
  }
  log() {
    // WORKAROUND: temporarily workaround issues with firebug console object:
    // - https://github.com/tildeio/ember-extension/issues/94
    // - https://github.com/firebug/firebug/pull/109
    // - https://code.google.com/p/fbug/issues/detail?id=7045
    try {
      super.log(...arguments);
    } catch {}
  }
}

loadEmberDebugInWebpage(() => onEmberReady(startInspector(adapter)));
